package com.xhkjedu.sexam.model.reportclass;

import com.xhkjedu.sexam.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

@Table(name = "e_rclass_complexity")
@Data
public class ERclassComplexity extends BaseBean {
    @Id
    //考试报告班级难易度统计表
    private Integer rccid;

    //考试id
    private Integer examid;

    //班级id
    private Integer classid;

    //科目id
    private String subjectid;

    //试卷id
    private Integer epid;

    //题型名称
    private Integer complexity;

    //题型下试题分值
    private Double score;

    //题型分值占比
    private Double srate;

    //年级得分
    private Double gradescore;

    //年级平均分
    private Double gradeavgscore;

    //年级得分率
    private Double gradesrate;

    //班级得分
    private Double classscore;

    //班级平均分
    private Double classavgscore;

    //班级得分率
    private Double classsrate;

    //小题题号字符串（1，2）
    private String qns;
}