package com.xhkjedu.sexam.model.exam;

import com.xhkjedu.sexam.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

@Table(name = "e_subject_invigilate")
@Data
public class ESubjectInvigilate extends BaseBean {
    @Id
    //考试科目监考教师表
    private Integer esiid;

    //考试科目id
    private Integer esid;

    //科目id
    private String subjectid;

    //班级id
    private Integer classid;

    //是否是主监考0不是1是
    private Integer majored;

    //教师id
    private Integer teacherid;

    //创建人id
    private Integer createid;

    //创建时间
    private Integer createtime;

    @Transient
    //状态0未进场1已进场2已交卷3缺考
    private Integer sstate;

    @Transient
    //班级ids
    private String classids;
}