package com.xhkjedu.sexam.vo.paper;

import lombok.Data;

/**
 * @Description 试题题号
 * @Author WN
 * Date 2022/8/18 14:01
 **/
@Data
public class QuestionOrderVo {

    private String id;

    private String name;

    private Integer complexity;

    //试题类型1单题2母题
    private Integer qlevel;

    private Double score;//试题分值

    //试题题号（单题、母题） （子题不占题号）
    private Integer order;

    private String questionid;//试题id（单题id,母题id）

    //试题题号对应子题在试卷中id(单题时数组长度为1)
    private Integer[] eptqids;

    //试题题号对应子题在试卷中显示的题号(单题时数组长度为1)
    private String[] qns;
}
