package com.xhkjedu.sexam.vo.paper;

import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @Description 试题知识点
 * @Author WN
 * Date 2022/8/22 17:34
 **/
@Data
public class QuestionPointVo {
    private Integer order;//试题排序
    private Integer eptqid;//试卷中试题id单题，母子题的情况下为0
    private String questionid;//试题id
    private Double score;//单题、母题分值
    private Integer qlevel;//试题级别1单题2母题
    private List<Integer> eptqids;//试题子题集合
    private List<Map> pointids;//知识点id和知识点分值
}
