package com.xhkjedu.sexam.vo.paperstudent;

import com.xhkjedu.sexam.model.paper.EPaperQtype;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @Description 考试详细信息
 * @Author WN
 * Date 2022/7/27 14:53
 **/
@Data
public class EPaperStudentVo {
    private Integer epsid;//考试试卷学生表

    private Integer examid;//考试id

    private String examname;//考试名称

    private Integer esid;//考试科目id

    private Integer gradeid;//年级

    private Integer classid;//班级id

    private String classname;//班级名称

    private Integer studentid;//学生id

    private String subjectid;//科目id

    private String subjectname;//科目名称

    private String sdate;//科目考试日期

    private String begintime;//科目考试开始时间

    private String endtime;//科目考试结束时间

    private Integer epid;//试卷id

    private Integer ptype;//试卷类型

    private Integer pnum;//试卷中试题数量

    private Double pscore;//试卷总分

    private String hearfile;//听力文件

    private Integer hearnum;//听力文件允许播放次数

    //试题集合
    private List<EPaperQtype> qtypelist;

    //附件
    private List<Map> files;
}
