package com.xhkjedu.sstudy.model.subjectbook;

import com.xhkjedu.sstudy.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

@Table(name = "t_subject_questiontype")
@Data
public class TSubjectQuestiontype extends BaseBean {
    //题型id
    @Id
    private String qtypeid;

    //题型名称
    private String qtypename;

    //题型排序
    private Integer qtypeorder;

    //科目id
    private String subjectid;

    //处理题型1单选题2多选题3主观题4判断对错5判断✔6判断TF7完形填空8阅读理解
    private Integer ctype;

    //是否删除0未删除1已删除
    private Integer deleted;

    //创建人id
    private Integer createid;

    //创建时间
    private Integer createtime;

    //归属1平台3学校
    private Integer belong;

    //学校id
    private Integer schoolid;

    //同步时间戳
    private Integer timeunix;
}
