package com.xhkjedu.sstudy.vo.question;

import lombok.Data;

@Data
public class SelectQuestionVo {
    //试题表
    private String questionid;

    //试题分值
    private Double score;

    //试题难易度
    private Integer complexity;

    //试题题干
    private String qstem;

    //试题选项
    private String qoption;

    //试题答案
    private String qanswer;

    //试题分析
    private String qanalyze;

    //试题题型id
    private String qtypeid;

    //试题题型名称
    private String qtypename;

    //组卷次数
    private Integer count;

    //试题关联知识点
    private String points;

    //处理题型1单选题2多选题3主观题4判断对错5判断✔6判断TF7完形填空8阅读理解
    private Integer ctype;

    //试题类型1单体2母题3子题
    private Integer qlevel;

    //资源归属1平台1区平台3学校4个人(搜索时5我的收藏 6我的上传)
    private Integer belong;

    //创建人id
    private Integer createid;

    //听力题听力文件地址
    private String hearfile;
}
